TDECACHEGRIND(1)

NAME
tdecachegrind - a visualisation tool for valgrind profiling output

SYNOPSIS
tdecachegrind [ generic-options ] [ -r exec ] [ trace-file ]

DESCRIPTION
KCachegrind is a visualisation tool for the profiling data generated by calltree, a profiling skin for valgrind. Applications can be profiled using calltree without being recompiled, and shared libraries and plugin architectures are supported.

For visualising the output from other profiling tools, several converters are available. On Debian systems these can be found in the tdecachegrind-converters package.

This application is part of the TDE Software Development Kit.

OPTIONS
Below are the tdecachegrind-specific options. For a full summary of options, run tdecachegrind --help.

-r exec
    Run the program exec under cachegrind.

trace-file
    Visualise data from the given trace.

SEE ALSO
calltree(1), dprof2calltree(1), hotshot2calltree(1), memprof2calltree(1), op2calltree(1), pprof2calltree(1), valgrind(1).

Full user documentation is available through the TDE Help Centre. You can also enter the URL help:/tdecachegrind/ directly into konqueror or you can run `khelpcenter help:/tdecachegrind/' from the command-line.

If the TDE Help Centre is not installed then you can install the package tdesdk-doc-html and read this documentation in HTML format from /usr/share/doc/tde/HTML/en/tdecachegrind/.

AUTHOR
KCachegrind was written by Josef Weidendorfer <Josef.Weidendorfer@gmx.de>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).